<?php get_header(); ?>
	<div id="content">
	<?php if (have_posts()) : ?>
	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
    
    <?php /* If this is a category archive */ if (is_category()) { ?>				
		<h2 class="pagetitle">Archive for the '<?php echo single_cat_title(); ?>' Category</h2>
		
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
		
	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
		
		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Author Archive</h2>

		<?php /* If this is a paged archive */ } elseif (is_paged()) { ?>
		<h2 class="pagetitle">Blog Archives</h2>

		<?php } ?>
		<?php while (have_posts()) : the_post(); ?>
				
			<div class="post">
			<div id="date"><div id="datemonth"><?php the_time('M'); ?></div><div id="datadate"><?php the_time('jS'); ?></div></div>
				<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<p class="post-info">Posted by&nbsp;<b><?php the_author_posts_link() ?></b>&nbsp;Posted in&nbsp;<b><?php the_category(' &amp; ') ?></b></p>
				<div class="entry">
					<?php the_content('Continue Reading &#187;'); ?>
					<?php wp_link_pages(); ?>		
					<?php edit_post_link(); ?>		
					
					<!--
						<?php trackback_rdf(); ?>
					-->
				</div>
				<div id="commentsdiv">
				<span class="post-readmore"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>">Read More</a></span>
				<span class="post-comments">
						<?php comments_popup_link('No Comments ', '(1) Comment ', '(%) Comments '); ?>
					</span> 
					</div>
				<?php comments_template(); ?>
			</div>
	
		<?php endwhile; ?>

		<p align="center"><?php posts_nav_link(' - ','&#171; Prev','Next &#187;') ?></p>
		
	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
	<?php endif; ?>
	</div>
<?php get_sidebar();?>
<?php get_footer();?>